View Issue Details

IDProjectCategoryView StatusLast Update
0006716Talermechant backendpublic2021-04-19 19:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0006716: use timeflakes for UUIDs
DescriptionWe use random UUIDs in TNG and for locking in the Taler
merchant. We should switch to Timeflakes instead, to improve DB access:

   https://github.com/anthonynsimon/timeflake
TagsNo tags attached.

Activities

Christian Grothoff

2021-01-28 22:29

manager   ~0017438

Implemented timeflake generation in libgnunetutil, documented suggested use for locking API in docs. Resolved.

Issue History

Date Modified Username Field Change
2021-01-22 22:19 Christian Grothoff New Issue
2021-01-22 22:19 Christian Grothoff Status new => assigned
2021-01-22 22:19 Christian Grothoff Assigned To => Christian Grothoff
2021-01-28 22:29 Christian Grothoff Status assigned => resolved
2021-01-28 22:29 Christian Grothoff Resolution open => fixed
2021-01-28 22:29 Christian Grothoff Fixed in Version => 0.9
2021-01-28 22:29 Christian Grothoff Note Added: 0017438
2021-04-19 19:14 Christian Grothoff Target Version 0.9.1 => 0.9